Commit 3dbb59f8 authored by Mark Olesen's avatar Mark Olesen
Browse files

Merge remote branch 'OpenCFD/master' into olesenm

parents 38ca205e ed650a16
......@@ -12,7 +12,10 @@ wmakeCheckPwd "$WM_PROJECT_DIR" || {
( cd wmake/src && make )
# build ThirdParty sources
$WM_THIRD_PARTY_DIR/Allwmake
if [ -d "$WM_THIRD_PARTY_DIR" ]
then
$WM_THIRD_PARTY_DIR/Allwmake
fi
# build OpenFOAM libraries and applications
src/Allwmake
......
......@@ -3,7 +3,6 @@ EXE_INC = \
-I$(LIB_SRC)/errorEstimation/lnInclude
EXE_LIBS = \
-lerrorEstimation \
-lmeshTools \
-ldynamicMesh \
-lfiniteVolume
#!/bin/sh
#------------------------------------------------------------------------------
#---------------------------------*- sh -*-------------------------------------
# ========= |
# \\ / F ield | OpenFOAM: The Open Source CFD Toolbox
# \\ / O peration |
# \\ / A nd | Copyright (C) 1991-2010 OpenCFD Ltd.
# \\/ M anipulation |
#-------------------------------------------------------------------------------
#------------------------------------------------------------------------------
# License
# This file is part of OpenFOAM.
#
......@@ -23,47 +23,38 @@
# along with OpenFOAM. If not, see <http://www.gnu.org/licenses/>.
#
# Script
# foamPackGeneral [outputDir]
# foamBinDirs <packDir> <arch>
#
# Description
# Packs and compresses the OpenFOAM directory for release
# Returns all directories containing binary files of OpenFOAM
#
#------------------------------------------------------------------------------
timeStamp=$(date +%Y-%m-%d)
packDir=$WM_PROJECT-$WM_PROJECT_VERSION
packFile=${packDir}.General_${timeStamp}.gtgz
if [ ! -d $packDir ]
if [ $# -ne 2 ]
then
echo "Error: directory $packDir does not exist"
echo "Error: architecture type expected, exiting"
echo
echo "Usage : ${0##*/} <packDir> <arch>"
echo
exit 1
fi
# add optional output directory
if [ -d "$1" ]
then
packFile="$1/$packFile"
fi
if [ -f $packFile ]
then
echo "Error: $packFile already exists"
exit 1
fi
# Create time stamp file
# ~~~~~~~~~~~~~~~~~~~~~~
echo $timeStamp 2>/dev/null > $packDir/.timeStamp
# Pack and compress the packFile
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
echo
echo "Packing $packDir source files into $packFile"
echo
foamPackSource $packDir $packFile
packDir=$1
arch=$2
# base arch (w/o precision, optimization, etc)
baseArch=$(echo "$arch" | sed -e 's@[DS]P.*$@@')
# get list of directories
(
for dir in \
$packDir/lib/$arch \
$packDir/applications/bin/$arch \
$packDir/wmake/rules \
$packDir/wmake/bin/$baseArch \
;
do
[ -d $dir ] && echo $dir
done
)
#------------------------------------------------------------------------------
#!/bin/sh
#------------------------------------------------------------------------------
#---------------------------------*- sh -*-------------------------------------
# ========= |
# \\ / F ield | OpenFOAM: The Open Source CFD Toolbox
# \\ / O peration |
# \\ / A nd | Copyright (C) 1991-2010 OpenCFD Ltd.
# \\/ M anipulation |
#-------------------------------------------------------------------------------
#------------------------------------------------------------------------------
# License
# This file is part of OpenFOAM.
#
......@@ -29,7 +29,6 @@
# Packs and compresses the OpenFOAM directory for release
#
#------------------------------------------------------------------------------
tmpFile=${TMPDIR:-/tmp}/foamPackFiles.$$
timeStamp=$(date +%Y-%m-%d)
packDir=$WM_PROJECT-$WM_PROJECT_VERSION
......@@ -37,7 +36,7 @@ packFile=${packDir}_${timeStamp}.gtgz
if [ ! -d $packDir ]
then
echo "Error: directory $packDir does not exist" 1>&2
echo "Error: directory $packDir does not exist"
exit 1
fi
......@@ -49,7 +48,7 @@ fi
if [ -f $packFile ]
then
echo "Error: $packFile already exists" 1>&2
echo "Error: $packFile already exists"
exit 1
fi
......@@ -58,54 +57,13 @@ fi
echo $timeStamp 2>/dev/null > $packDir/.timeStamp
# Clean up on termination and on Ctrl-C
trap 'rm -f $tmpFile 2>/dev/null; exit 0' EXIT TERM INT
# Pack and compress the packFile using GNU tar
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Pack and compress the packFile
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
echo
echo "Packing foam version $packDir into $packFile"
echo "Packing $packDir source files into $packFile"
echo
echo "finding and packing"
find -H $packDir \
! -type d -type f \
! -name "*~" \
-a ! -name ".*~" \
-a ! -name "*.orig" \
-a ! -name "*.dep" \
-a ! -name "*.o" \
-a ! -name "*.so" \
-a ! -name "*.a" \
-a ! -name "core" \
-a ! -name "core.[1-9]*" \
-a ! -name "pvml.[1-9]*" \
-a ! -name "log[0-9]*" \
-a ! -name "so_locations" \
| sed \
-e "\@$packDir/lib/@d" \
-e '\@/\.git/@d' \
-e '\@applications/bin/@d' \
-e '\@wmake/bin/@d' \
-e '\@/t/@d' \
-e '\@Make[.A-Za-z]*/[^/]*/@d' \
-e '\@doc/[Dd]oxygen/html@d' \
-e '\@doc/[Dd]oxygen/latex@d' \
-e '\@doc/[Dd]oxygen/man@d' \
-e '\@/lnInclude@d' \
-e '\@/ii_files@d' \
| tee $tmpFile
tar czpf $packFile --files-from $tmpFile
if [ $? -eq 0 ]
then
echo "Finished packing and compressing $packDir into file $packFile"
else
echo "Error: failure packing $packDir into file $packFile" 1>&2
rm -f $packFile 2>/dev/null
fi
foamPackSource $packDir $packFile
#------------------------------------------------------------------------------
......@@ -70,17 +70,7 @@ do
done
# get list of directories
dirList=$(
for dir in \
$packDir/lib/$arch \
$packDir/applications/bin/$arch \
$packDir/wmake/rules \
$packDir/wmake/bin/$baseArch \
;
do
[ -d $dir ] && echo $dir
done
)
dirList=`foamBinDirs $packDir $arch`
echo
echo "Packing $arch ($baseArch) port of $packDir into $packFile"
......
......@@ -61,34 +61,7 @@ fi
# Clean up on termination and on Ctrl-C
trap 'rm -f $tmpFile 2>/dev/null; exit 0' EXIT TERM INT
find -H $packDir \
! -type d \
\( -type f -o -type l \) \
! -name "*~" \
-a ! -name ".*~" \
-a ! -name "*.orig" \
-a ! -name "*.dep" \
-a ! -name "*.o" \
-a ! -name "*.so" \
-a ! -name "*.a" \
-a ! -name "*.tgz" \
-a ! -name "core" \
-a ! -name "core.[1-9]*" \
-a ! -name "libccmio*" \
| sed \
-e "\@$packDir/lib/@d" \
-e '\@/\.git/@d' \
-e '\@/\.tags/@d' \
-e '\@/\README\.org@d' \
-e '\@applications/bin/@d' \
-e '\@wmake/bin/@d' \
-e '\@/t/@d' \
-e '\@/Make[.A-Za-z]*/[^/]*/@d'\
-e '\@/platforms/@d' \
-e '\@/download/@d' \
-e '\@/libccmio-.*/@d' \
-e '\@/debian/@d'
> $tmpFile
foamSourceFiles $packDir > $tmpFile
# provide some feedback
......
#!/bin/sh
#------------------------------------------------------------------------------
#---------------------------------*- sh -*-------------------------------------
# ========= |
# \\ / F ield | OpenFOAM: The Open Source CFD Toolbox
# \\ / O peration |
# \\ / A nd | Copyright (C) 1991-2010 OpenCFD Ltd.
# \\/ M anipulation |
#-------------------------------------------------------------------------------
#------------------------------------------------------------------------------
# License
# This file is part of OpenFOAM.
#
......@@ -23,7 +23,7 @@
# along with OpenFOAM. If not, see <http://www.gnu.org/licenses/>.
#
# Script
# foamPackThirdPartyGeneral [outputDir]
# foamPackThirdParty [outputDir]
#
# Description
# Packs and compresses the OpenFOAM ThirdParty directory for release
......@@ -33,7 +33,7 @@
timeStamp=$(date +%Y-%m-%d)
packDir=${WM_THIRD_PARTY_DIR:-ThirdParty}
packDir=${packDir##*/}
packFile=${packDir}.General_${timeStamp}.gtgz
packFile=${packDir}_${timeStamp}.gtgz
if [ ! -d $packDir ]
then
......
#!/bin/sh
#---------------------------------*- sh -*-------------------------------------
# ========= |
# \\ / F ield | OpenFOAM: The Open Source CFD Toolbox
# \\ / O peration |
# \\ / A nd | Copyright (C) 1991-2010 OpenCFD Ltd.
# \\/ M anipulation |
#------------------------------------------------------------------------------
# License
# This file is part of OpenFOAM.
#
# OpenFOAM is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# OpenFOAM is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License
# along with OpenFOAM. If not, see <http://www.gnu.org/licenses/>.
#
# Script
# foamSourceFiles <directory>
#
# Description
# Returns all the .C and .H files and Make/options
# and Make/files in a given directory.
#
#------------------------------------------------------------------------------
if [ $# -ne 1 ]
then
echo "Usage : ${0##*/} directory"
echo ""
echo "Returns all .C and .H files and Make/options and Make/files."
echo ""
exit 1
fi
# canonical form (no double and no trailing dashes)
packDir=$(echo "$1" | sed -e 's@//*@/@g' -e 's@/$@@')
if [ ! -d $packDir ]
then
echo "Error: directory $packDir does not exist"
exit 1
fi
find -H $packDir \
! -type d \
\( -type f -o -type l \) \
! -name "*~" \
-a ! -name ".*~" \
-a ! -name "*.orig" \
-a ! -name "*.dep" \
-a ! -name "*.o" \
-a ! -name "*.so" \
-a ! -name "*.a" \
-a ! -name "*.tgz" \
-a ! -name "core" \
-a ! -name "core.[1-9]*" \
-a ! -name "libccmio*" \
| sed \
-e "\@$packDir/lib/@d" \
-e '\@/\.git/@d' \
-e '\@/\.gitignore@d' \
-e '\@/\.tags/@d' \
-e '\@/\README\.org@d' \
-e '\@applications/bin/@d' \
-e '\@wmake/bin/@d' \
-e '\@/t/@d' \
-e '\@/Make[.A-Za-z]*/[^/]*/@d'\
-e '\@/platforms/@d' \
-e '\@/download/@d' \
-e '\@/libccmio-.*/@d' \
-e '\@/debian/@d'
#------------------------------------------------------------------------------
#! /bin/sh
#
# Giuseppe Ciaccio 15 November 2000
# This script is derived from the mpirun.args original script of MPICH .
#
hasprinthelp=1
progname=
cmdLineArgs=
machineFile=
machineFileArg=
fake_progname=
np=1
mpirun_verbose=0
just_testing=0
machineFileArg=
machineFile=
Show=eval
#
PrintHelp() {
#
# If you change this, make the corresponding changes in README so that
# the man pages are updated.
#
cat <<EOF
mpirun [mpirun_options...] <progname> [options...]
mpirun_options:
-h This help
-machinefile <machine-file name>
The file is a list of machines to be involved in the job run.
Local machine is always involved (and hosts instance #0).
Default machine file is /etc/gamma.conf
-np <np>
specify the number of process instances to be generated.
-t Testing - do not actually run, just print what would be
executed
-v Verbose - throw in some comments
Multiple architectures as well as multiple pathnames for the executables
cannot be handled yet.
EOF
}
while [ 1 -le $# ] ; do
arg=$1
#echo $arg
#echo $#
shift
case $arg in
-arch)
shift
;;
-np)
np="$1"
nodigits=`echo $np | sed 's/^[0-9]*$//'`
if [ "$nodigits" != "" -o $np -lt 1 ] ; then
echo np: $np is an invalid number of processors. Exiting.
exit 1
fi
shift
;;
-machine)
shift
;;
-machinefile)
machineFileArg="-machinefile"
machineFile="$1"
shift
;;
-device)
shift
;;
-stdin)
shift
;;
-stdout)
shift
;;
-stderr)
shift
;;
-nolocal)
;;
-h)
if [ "$hasprinthelp" = 1 ] ; then
PrintHelp
fi
exit 1
;;
-e)
;;
-pg)
;;
-leave_pg|-keep_pg)
;;
-batch)
;;
-jid)
shift
;;
-globusrsl)
shift
;;
-globusdb)
shift
;;
-globusargs)
shift
;;
-p4pg)
shift
;;
-p4wd)
shift
;;
-tcppg)
shift
;;
-p4ssport)
shift
;;
-paragontype)
shift
;;
-paragonname)
shift
;;
-paragonpn)
shift
;;
-v)
mpirun_verbose=1
;;
-t)
just_testing=1
Show=echo
;;
-tv|-totalview)
;;
-ksq)
;;
-dbx)
;;
-gdb)
;;
-xxgdb)
;;
-ddd)
;;
-pedb)
;;
-nopoll)
;;
-maxtime|-cpu)
shift
;;
-mem)
shift
;;
-mvhome)
;;
-mvback)
shift
;;
-cac)
shift
;;
-echo)
;;
-usage|-help|-\?)
# Accept these for help until the program name is provided.
if [ "$progname" = "" ] ; then
if [ "$hasprinthelp" = "1" ] ; then
PrintHelp
fi
exit 1
fi
;;
*)
# The first unrecognized argument is assumed to be the name of
# the program, but only if it is executable
proginstance=`echo $arg | sed "s/%a/$arch/g"`
if [ "$progname" = "" -a "$fake_progname" = "" -a \
! -x "$proginstance" ] ; then
fake_progname="$arg"
elif [ "$progname" = "" -a -x "$proginstance" ] ; then
progname="$arg"
# any following unrecognized arguments are assumed to be arguments
# to be passed to the program, as well as all future args
while [ 1 -le $# ] ; do
cmdLineArgs="$cmdLineArgs $1"
shift
done
else
echo "Warning: Command line arguments for program should be given"
echo "after the program name. Assuming that $arg is a"
echo "command line argument for the program."
cmdLineArgsExecer="$cmdLineArgsExecer -arg=$arg"
cmdLineArgs="$cmdLineArgs $arg"
fi
;;
esac
done
# We need at least the program name
if [ "$progname" = "" ] ; then
echo "Missing: program name"
if [ "$fake_progname" != "" ] ; then
echo "Program $fake_progname either does not exist, is not "
echo "executable, or is an erroneous argument to mpirun."
fi
exit 1
fi
#
# Fill out relative program pathnames
#
# Get the current directory
# Note that PWD may NOT be `pwd` if an explicit "cd", outside of the csh
# shell, is used. A downside of this is that PWD may have a more reasonable
# version of the path. To try and fix this, we create a test file and see
# if it is accessible from PWD and pwd; if so, we take the PWD value
#
# Why can't automounters work!???!!
#
# For those unfamiliar with the problem, the automounter creates
# paths like /tmp_mnt/.... . But if you try to open a file with that path,
# and the ACTUAL path has not been accessed before, the automounter fails
# to mount the partition. In otherwords, the automounter is so mind-bogglingly
# stupid as to not recognize its OWN MOUNTS. Network computing indeed.
#
# Note that PWD may ALSO be damaged, so we need to sed PWD as well...
#
# We should move this to the point in the code where it needs to know a
# particular filename, since this will fail if the directory is not
# writable by the user.
#
if [ -n "sed -e s@/tmp_mnt/@/@g" ] ; then
PWDtest=`pwd | sed -e s@/tmp_mnt/@/@g`
if [ ! -d $PWDtest ] ; then
PWDtest=`pwd`
fi
if [ -n "$PWD" ] ; then
# Use a process-specific filename
PWDtest2=`echo $PWD | sed -e s@/tmp_mnt/@/@g`
/bin/rm -f $PWDtest/.mpirtmp$$ $PWDtest2/.mpirtmp$$
if `eval "echo test > $PWDtest2/.mpirtmp$$" 2>/dev/null` ; then
if [ ! -s $PWDtest/.mpirtmp$$ ] ; then
/bin/rm -f $PWDtest2/.mpirtmp$$
PWD=$PWDtest
else
PWD=$PWDtest2
fi
else
# Current directory is not writable. Hope for the best
PWD=$PWDtest
fi
/bin/rm -f $PWDtest/.mpirtmp$$ $PWDtest2/.mpirtmp$$
else
PWD=$PWDtest
fi
else
PWD=`pwd`
fi
#
if [ -n "$PWD" ] ; then
PWD_TRIAL=$PWD
else
PWD_TRIAL=$PWDtest
fi